Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## anl.repast.gis.data
Class ESRIRaster

    java.lang.Object
      anl.repast.gis.data.ESRIRaster

    public class ESRIRaster

extends java.lang.Object

Version:
  $revision$ $date$
Author:
  Nick Collier

Constructor Summary
`ESRIRaster(java.lang.String path, java.lang.String rasterName)`

Method Summary
`int` | `getBandCount()`
`int` | `getColumns(int bandIndex)`
`double[]` | `getPixelMooreNghValues(int row, int col, int bandIndex)`
`java.lang.Object` | `getPixelValue(int row, int col, int bandIndex)`
`java.lang.Object` | `getPixelValueAtMap(double x, double y, int bandIndex)`
`int` | `getRows(int bandIndex)`
`static void` | `init()`
`static void` | `main(java.lang.String[] args)`
`java.awt.geom.Point2D` | `mapToPixel(double x, double y, int bandIndex)`
`java.awt.geom.Point2D` | `pixelToMap(int x, int y, int bandIndex)`
`void` | `writeToPixel(byte val, int x, int y, int bandIndex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ESRIRaster

    public ESRIRaster(java.lang.String path,
                      java.lang.String rasterName)
               throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### init

    public static void init()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRows

    public int getRows(int bandIndex)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getColumns

    public int getColumns(int bandIndex)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### mapToPixel

    public java.awt.geom.Point2D mapToPixel(double x,
                                            double y,
                                            int bandIndex)

### pixelToMap

    public java.awt.geom.Point2D pixelToMap(int x,
                                            int y,
                                            int bandIndex)

### getBandCount

    public int getBandCount()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPixelValue

    public java.lang.Object getPixelValue(int row,
                                          int col,
                                          int bandIndex)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPixelMooreNghValues

    public double[] getPixelMooreNghValues(int row,
                                           int col,
                                           int bandIndex)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPixelValueAtMap

    public java.lang.Object getPixelValueAtMap(double x,
                                               double y,
                                               int bandIndex)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeToPixel

    public void writeToPixel(byte val,
                             int x,
                             int y,
                             int bandIndex)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD